<bugID>964433<Summary>Widgets don't automatically get the "overflowedItem" class when created directly in the overflow list</Summary><Description>Created attachment 8366187
Widget Overflow Test

STR:

1) Open nightly and resize it so all the buttons in the nav-bar are overflowed
2) Install the attached test add-on xpi
3) Open the overflowed list
The widget created by the test xpi is red because it doesn't have the "overflowedItem" class.

4) Resize the window so all the widgets are visible in the toolbar
The widget is still red, as expected in this case since it's not overflowed.

5) Resize again so the widgets overflow
The widget is green because now it has the "overflowedItem" class.


Note: you can also disable/enable the test add-on, with all the nav-bar buttons overflowed, to achieve the same results.

Basically, if the widget is created directly into the overflow list, it won't have the "overflowedItem" class.</Description></bugID>